Subject: bug#44053: Poor profile generation performance on spinning disks

From: zimoun <[email-masked]>
Date: Wed, 23 Mar 2022 17:54:57 +0100

Hi Maxim,

On Wed, 23 Mar 2022 at 17:17, Maxim Cournoyer <[email-masked]> wrote:

> This issue is more about the time it takes to generate the file
> hierarchy of the profile, rather than with the profile hooks.  The
> profile hooks should be tolerably fast at this point.

Yeah, I have seen your profiling about man-db, cool!

> There is perhaps more optimization that can be done at the level of
> populating the symbolic links of a profile, so I'd like to leave this
> open until someone gets around to profiling what is slow and whether
> something more can be done.

Ok.  So we need to provide a "configuration".  For instance, a typical
manifest and Guix revision to compare with.  WDYT?

Cheers,
simon